summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorsamedamci2020-03-29 15:09:15 +0200
committersamedamci2020-03-29 15:09:15 +0200
commit428265f3b2abd0571a05d70dbd558ebfe1aa48dd (patch)
treeb058dff3e8b82885bb4660a1d933502617139525
downloadaur-428265f3b2abd0571a05d70dbd558ebfe1aa48dd.tar.gz
Initial commit
-rw-r--r--.SRCINFO20
-rw-r--r--PKGBUILD33
2 files changed, 53 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..b98658f1f50
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,20 @@
+pkgbase = rofi-keepassxc-git
+ pkgdesc = Simple keepassxc-cli frontend in rofi
+ pkgver = 1.1.r3.d773f5e
+ pkgrel = 1
+ url = https://github.com/samedamci/rofi-keepassxc
+ arch = any
+ license = MIT
+ makedepends = git
+ depends = rofi
+ depends = xclip
+ depends = keepassxc
+ depends = zsh
+ provides = rofi-keepassxc
+ conflicts = rofi-keepassxc
+ replaces = rofi-keepassxc
+ source = git+https://github.com/samedamci/rofi-keepassxc.git
+ md5sums = SKIP
+
+pkgname = rofi-keepassxc-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..72c742e2cd0
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,33 @@
+# Maintainder: samedamci <samedamci@disroot.org>
+pkgname=rofi-keepassxc-git
+pkgver=1.1.r3.d773f5e
+pkgrel=1
+pkgdesc="Simple keepassxc-cli frontend in rofi"
+arch=('any')
+url="https://github.com/samedamci/rofi-keepassxc"
+license=('MIT')
+depends=('rofi' 'xclip' 'keepassxc' 'zsh')
+makedepends=('git')
+provides=("${pkgname%-git}")
+conflicts=("${pkgname%-git}")
+replaces=("${pkgname%-git}")
+source=("git+https://github.com/samedamci/${pkgname%-git}.git")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/${pkgname%-git}"
+
+ printf "%s" "$(git describe --long --tags | sed 's/\([^-]*-\)g/r\1/;s/-/./g' | cut -b 2-)"
+}
+
+package() {
+ cd "$srcdir/${pkgname%-git}" || exit 1
+ local doc_path="$pkgdir/usr/share/doc/${pkgname%-git}"
+
+ install -Dm755 "rofi-keepassxc" "$pkgdir/usr/bin/${pkgname%-git}"
+
+ install -Dm755 -d "$pkgdir/usr/share/doc/${pkgname%-git}"
+
+ install -Dm644 "README.md" "${doc_path}/README.md"
+ install -Dm644 "LICENSE" "$pkgdir/usr/share/licenses/${pkgname%-git}/LICENSE"
+}